GNURADIO-COMPANION(1)

NAME
gnuradio-companion - GNU Radio Companion (GRC) is a graphical tool for creating GNU Radio signal flowgraphs.

SYNOPSIS
gnuradio-companion [options] [flowgraphs]

DESCRIPTION

GNU Radio is a free & open-source software development toolkit that provides signal processing blocks to implement software-defined radios and signal-processing systems. The GNU Radio applications themselves are generally known as "flowgraphs", which are a series of signal processing blocks connected together, thus describing a data flow.

gnuradio-companion is effectively a Python code-generation tool. When a flowgraph is "compiled" in GRC, it generates Python code that creates the desired GUI windows and widgets, and creates and connects the blocks in the flowgraph.

OPTIONS
flowgraphs Invoke the program with one or more existing flowgraphs.

-h, --help
    show a help message and exit.

--log
    defines the level of logging output.

SEE ALSO
https://wiki.gnuradio.org/index.php/GNURadioCompanion